Subject: RE: [Sipping-tispan] Re: CCBS/CCNR in Version -02f

From: "Elwell, John" <[email-masked]>
Date: Thu, 29 Sep 2005 07:19:48 +0100

Miguel,

In-line,

John

> -----Original Message-----
> From: Miguel Garcia [mailto:[email-masked]] 
> Sent: 28 September 2005 10:31
> To: Michael Hammer (mhammer)
> Cc: Tessa Silvia; [email-masked]
> Subject: Re: [Sipping-tispan] Re: CCBS/CCNR in Version -02f
> 
> Hi Mike:
> 
> Inline discussion.
> 
> Michael Hammer (mhammer) wrote:
> 
> > Miguel,
> > 
> > I think there is still a little bit of schizophrenia in the
> > requirements.  I assume that a server is acting on behalf 
> of either the
> > caller or the callee, but not both because each could be served by a
> > different host, domain, or organization.  The first 
> requirement seems to
> > assume that the CCBS is a terminating service of the callee.  Other
> > requirements seem to assume that the CCBS is a service of 
> the caller.
> > Which is it?
> 
> Both. It has been demonstrated that CCBS is a service that requires 
> cooperation of both the originating and terminatine service 
> providers. 
> This cooperation is mostly required to manage queues of both 
> the caller 
> and callee, and to manage susped/resume states.
[JRE] It is not clear to me what the involvement of the originating service
provider is. Perhaps this comes down to what exactly are the requirements
for notifying the caller that a call may now succeed. Is this notification
constrained to go to the same UA that requested CCBS/CCNR in the first
place, or should it go to any UA currently registered as a contact for the
caller's AoR? In my opinion the former is sufficient and indeed probably
preferable. If I request CCBS/CCNR from a particular UA I would expect to
receive the notification on that same UA and make the new call attempt from
there. In the relatively infrequent event that I move to a different UA in
the intervening period, I could simply request CCBS/CCNR again from the new
UA.

So on the assumption that CCBS/CCNR involves only a single UA on the caller
side, what service does the originating service provider perform? Why can't
the UA directly request CCBS/CCNR and communicate with the service provider
on the callee side to achieve this? The caller's UA will receive
notification when a the call can be made and can present that information to
the caller somehow, allowing the caller to choose when to proceed with that
call, e.g., whether to interrupt any ongoing communications in order to make
that call.

_______________________________________________
Sipping-tispan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sipping-tispan

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 29 Sep 2005 09:15:35 -0400

Elwell, John wrote:
> caller's AoR?

Yes, that is an important question.

> In my opinion the former is sufficient and indeed probably

I am inclined to disagree. I think of the different UAs as having much 
the same role as different PSTN extensions in my home. Having invoked 
the CCBS/CCNR and hung up, I may move around the house. It is hard to 
predict which extension I will be near when the call becomes possible. I 
want all to ring and be able to answer any.

I would expect this to be a requirement of a "simulation service", but 
further, IMO this a requirement of a *reasonable* service.

> call, e.g., whether to interrupt any ongoing communications in order to make

*If* this service is to involve only a single UA at the calling end, 
then there may be need of no server on the caller's end.

Clearly there is ambiguity in the requirements on this point. Can we get 
that cleared up please?

	Paul